explain_execv_or_die(3)

NAME
explain_execv_or_die - execute a file and report errors

SYNOPSIS
#include <libexplain/execv.h>

void explain_execv_or_die(const char *pathname, char *const*argv);
int explain_execv_on_error(const char *pathname, char *const*argv);

DESCRIPTION
The explain_execv_or_die function is used to call the execv(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_execv(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_execv_on_error function is used to call the execv(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_execv(3) function, but still returns to the caller.

pathname
    The pathname, exactly as to be passed to the execv(3) system call.

argv
    The argv, exactly as to be passed to the execv(3) system call.

RETURN VALUE
The explain_execv_or_die function only returns on success, see execv(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_execv_on_error function always returns the value return by the wrapped execv(3) system call.

EXAMPLE
The explain_execv_or_die function is intended to be used in a fashion similar to the following example:
    explain_execv_or_die(pathname, argv);

SEE ALSO

execv(3)
    execute a file

explain_execv(3)
    explain execv(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2012 Peter Miller